aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin <jlec@users.noreply.github.com>2013-12-02 06:41:10 -0800
committerJustin <jlec@users.noreply.github.com>2013-12-02 06:41:10 -0800
commit47fe52638187ad8f4e534a7519570d354b2e1306 (patch)
treec6f5084ff4deb5a5783d069c5fb1a83f2130375e
parentMerge pull request #146 from jauhien/mc-tester-1.25.0 (diff)
parentsci-physics/tauola: new ebuild added (diff)
downloadsci-47fe52638187ad8f4e534a7519570d354b2e1306.tar.gz
sci-47fe52638187ad8f4e534a7519570d354b2e1306.tar.bz2
sci-47fe52638187ad8f4e534a7519570d354b2e1306.zip
Merge pull request #157 from jauhien/tauola
sci-physics/tauola: new ebuild added
-rw-r--r--profiles/package.mask1
-rw-r--r--sci-physics/tauola/ChangeLog12
-rw-r--r--sci-physics/tauola/Manifest1
-rw-r--r--sci-physics/tauola/files/tauola-1.1.3-makefile.patch12
-rw-r--r--sci-physics/tauola/files/tauola-1.1.3-tau-spinner-makefile.patch11
-rw-r--r--sci-physics/tauola/metadata.xml17
-rw-r--r--sci-physics/tauola/tauola-1.1.3.ebuild69
-rw-r--r--sci-physics/tauola/tauola-9999.ebuild75
8 files changed, 198 insertions, 0 deletions
diff --git a/profiles/package.mask b/profiles/package.mask
index f99b18270..8f48c44aa 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -56,6 +56,7 @@
>=sys-cluster/nullmpi-9999
>=sci-physics/espresso-9999
>=sci-physics/espresso++-9999
+>=sci-physics/tauola-9999
~sci-chemistry/gromacs-4.5.9999
~sci-chemistry/gromacs-4.6.9999
~sci-chemistry/gromacs-9999
diff --git a/sci-physics/tauola/ChangeLog b/sci-physics/tauola/ChangeLog
new file mode 100644
index 000000000..dfcbc894f
--- /dev/null
+++ b/sci-physics/tauola/ChangeLog
@@ -0,0 +1,12 @@
+# ChangeLog for sci-physics/tauola
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*tauola-9999 (22 Nov 2013)
+*tauola-1.1.3 (22 Nov 2013)
+
+ 22 Nov 2013; Jauhien Piatlicki <piatlicki@gmail.com> +tauola-1.1.3.ebuild,
+ +tauola-9999.ebuild, +files/tauola-1.1.3-makefile.patch,
+ +files/tauola-1.1.3-tau-spinner-makefile.patch, +metadata.xml:
+ ebuild added
+
diff --git a/sci-physics/tauola/Manifest b/sci-physics/tauola/Manifest
new file mode 100644
index 000000000..c582281d2
--- /dev/null
+++ b/sci-physics/tauola/Manifest
@@ -0,0 +1 @@
+DIST TAUOLA.1.1.3.tar.gz 7152535 SHA256 9b9141a6460477e6cb3c53845f384740539e54540130f69373268b7c2995defc SHA512 ca0c67d61d8476715788ebd7f145bea86ffce2d2a6f5590d66dfd14551fe817d97b1527f6d160b2ea2dc195f1af478f80a5644408e4c1da5ac0ecdbaccc20624 WHIRLPOOL 1ec2b22da2e12ecc400f174ba2fe40bc2bc24e0495f0ae793b2211a5f1dcdc600f31543056a9c9900fe4d049222046604e789ec2eb809a927b26c66ff7d636da
diff --git a/sci-physics/tauola/files/tauola-1.1.3-makefile.patch b/sci-physics/tauola/files/tauola-1.1.3-makefile.patch
new file mode 100644
index 000000000..5d4195253
--- /dev/null
+++ b/sci-physics/tauola/files/tauola-1.1.3-makefile.patch
@@ -0,0 +1,12 @@
+--- Makefile
++++ Makefile
+@@ -36,8 +36,7 @@
+
+ install:
+ mkdir -p $(PREFIX)/include
+- mkdir -p $(PREFIX)/include/Tauola
+- cp include/Tauola/* $(PREFIX)/include/Tauola/.
++ cp -r include/* $(PREFIX)/include
+ mkdir -p $(PREFIX)/lib
+ cp lib/* $(PREFIX)/lib/.
+
diff --git a/sci-physics/tauola/files/tauola-1.1.3-tau-spinner-makefile.patch b/sci-physics/tauola/files/tauola-1.1.3-tau-spinner-makefile.patch
new file mode 100644
index 000000000..8b3474c5d
--- /dev/null
+++ b/sci-physics/tauola/files/tauola-1.1.3-tau-spinner-makefile.patch
@@ -0,0 +1,11 @@
+--- TauSpinner/Makefile
++++ TauSpinner/Makefile
+@@ -30,7 +30,7 @@
+
+ %.o: %.cxx
+ $(CC) $(CFLAGS) -c $< -o $@ -Iinclude \
+- -I$(PREFIX)/include \
++ -I../include \
+ -I$(LHAPDFLOCATION)/include
+
+ %.o: %.f
diff --git a/sci-physics/tauola/metadata.xml b/sci-physics/tauola/metadata.xml
new file mode 100644
index 000000000..b4f9e77e4
--- /dev/null
+++ b/sci-physics/tauola/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+
+<herd>sci-physics</herd>
+<maintainer>
+ <email>piatlicki@gmail.com</email>
+</maintainer>
+
+<longdescription>
+ tau decay Monte Carlo generator
+</longdescription>
+<use>
+ <flag name="hepmc">Compile <pkg>sci-physics/hepmc</pkg> interface</flag>
+ <flag name="tau-spinner">Compile with TauSpinner library</flag>
+</use>
+</pkgmetadata>
diff --git a/sci-physics/tauola/tauola-1.1.3.ebuild b/sci-physics/tauola/tauola-1.1.3.ebuild
new file mode 100644
index 000000000..1abb1a44d
--- /dev/null
+++ b/sci-physics/tauola/tauola-1.1.3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils
+
+MYPN=TAUOLA
+
+DESCRIPTION="tau decay Monte Carlo generator"
+HOMEPAGE="http://tauolapp.web.cern.ch/tauolapp/"
+SRC_URI="http://tauolapp.web.cern.ch/tauolapp/resources/${MYPN}.${PV}/${MYPN}.${PV}.tar.gz"
+LICENSE="CPC GPL-2+"
+#HepMC interface is licensed under GPL, other code under CPC
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples hepmc tau-spinner"
+
+RDEPEND="hepmc? ( sci-physics/hepmc )
+ tau-spinner? ( sci-physics/lhapdf )
+"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen
+ app-text/ghostscript-gpl
+ app-text/texlive )
+"
+
+S="${WORKDIR}/${MYPN}"
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-makefile.patch" "${FILESDIR}/${P}-tau-spinner-makefile.patch"
+}
+
+src_configure() {
+ econf \
+ --without-mc-tester \
+ --without-pythia8 \
+ $(use_with hepmc hepmc "${EPREFIX}/usr") \
+ $(use_with tau-spinner) \
+ $(use_with tau-spinner lhapdf "${EPREFIX}/usr")
+}
+
+src_compile() {
+ emake
+ if use doc;
+ then
+ cd "${S}/documentation/doxy_documentation" || die
+ emake
+ cd "${S}/documentation/latex_documentation" || die
+ emake
+ fi
+}
+
+src_install() {
+ emake PREFIX="${D}/usr" install
+
+ if use doc; then
+ dohtml documentation/doxy_documentation/html/*
+ dodoc documentation/latex_documentation/Tauola_interface_design.pdf
+ fi
+
+ if use examples;
+ then
+ dodoc -r examples
+ use tau-spinner && docinto tau-spinner && dodoc -r TauSpinner/examples
+ fi
+}
diff --git a/sci-physics/tauola/tauola-9999.ebuild b/sci-physics/tauola/tauola-9999.ebuild
new file mode 100644
index 000000000..67bc2b686
--- /dev/null
+++ b/sci-physics/tauola/tauola-9999.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils
+
+MYPN=TAUOLA
+
+DESCRIPTION="tau decay Monte Carlo generator"
+HOMEPAGE="http://tauolapp.web.cern.ch/tauolapp/"
+SRC_URI=""
+LICENSE="CPC GPL-2+"
+#HepMC interface is licensed under GPL, other code under CPC
+
+SLOT="0"
+IUSE="doc examples hepmc tau-spinner"
+
+RDEPEND="hepmc? ( sci-physics/hepmc )
+ tau-spinner? ( sci-physics/lhapdf )
+"
+DEPEND="${RDEPEND}
+ net-misc/wget
+ doc? ( app-doc/doxygen
+ app-text/ghostscript-gpl
+ app-text/texlive )
+"
+
+S="${WORKDIR}/${MYPN}"
+
+src_unpack() {
+ #there is no public svn, just generated tarball, so fetch it
+ wget "http://tauolapp.web.cern.ch/tauolapp/resources/${MYPN}.development.version/${MYPN}.development.version.tar.gz" || die
+ unpack "./${MYPN}.development.version.tar.gz"
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-1.1.3-makefile.patch" "${FILESDIR}/${PN}-1.1.3-tau-spinner-makefile.patch"
+}
+
+src_configure() {
+ econf \
+ --without-mc-tester \
+ --without-pythia8 \
+ $(use_with hepmc hepmc "${EPREFIX}/usr") \
+ $(use_with tau-spinner) \
+ $(use_with tau-spinner lhapdf "${EPREFIX}/usr")
+}
+
+src_compile() {
+ emake
+ if use doc;
+ then
+ cd "${S}/documentation/doxy_documentation" || die
+ emake
+ cd "${S}/documentation/latex_documentation" || die
+ emake
+ fi
+}
+
+src_install() {
+ emake PREFIX="${D}/usr" install
+
+ if use doc; then
+ dohtml documentation/doxy_documentation/html/*
+ dodoc documentation/latex_documentation/Tauola_interface_design.pdf
+ fi
+
+ if use examples;
+ then
+ dodoc -r examples
+ use tau-spinner && docinto tau-spinner && dodoc -r TauSpinner/examples
+ fi
+}